Bug 723778

Summary: No output while deleting an automount location.
Product: Red Hat Enterprise Linux 6 Reporter: Gowrishankar Rajaiyan <grajaiya>
Component: ipaAssignee: Rob Crittenden <rcritten>
Status: CLOSED ERRATA QA Contact: Chandrasekar Kannan <ckannan>
Severity: unspecified Docs Contact:
Priority: medium    
Version: 6.2CC: benl, jgalipea
Target Milestone: rc   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: ipa-2.1.0-1.el6 Doc Type: Bug Fix
Doc Text:
Cause: No output when deleting an automount location. Consequence: The command appears successful but there is no feedback. Fix: Add summary to all the automount commands. Result: Output consistent with the other IPA command-line plugins.
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-12-06 18:41:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Gowrishankar Rajaiyan 2011-07-21 05:46:47 UTC
Description of problem:


Version-Release number of selected component (if applicable):
# rpm -qi ipa-server
Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.0.0                             Vendor: Red Hat, Inc.
Release     : 25.el6                        Build Date: Wed 01 Jun 2011 11:02:47 AM EDT
Install Date: Wed 13 Jul 2011 04:32:54 AM EDT      Build Host: x86-010.build.bos.redhat.com
Group       : System Environment/Base       Source RPM: ipa-2.0.0-25.el6.src.rpm
Size        : 2570318                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server


How reproducible:
Always

Steps to Reproduce:
[root@ibm-ls22-05 ~]# ipa automountlocation-del pune
[root@ibm-ls22-05 ~]# 
  
Actual results:
No acknowledgement while deleting an automount location.


Expected results:
# ipa automountlocation-del pune
---------------------------------
Deleted automount location "pune"
---------------------------------


Additional info:

Comment 2 Rob Crittenden 2011-07-21 12:59:53 UTC
https://fedorahosted.org/freeipa/ticket/1509

Comment 3 Rob Crittenden 2011-07-21 19:21:14 UTC
master: d4310c07a9454289676b17d6224ae7b62c51c207

ipa-2-0: c28ec5b768724cb6de9f374ea67a2040e8adcb78

Comment 7 Gowrishankar Rajaiyan 2011-10-08 13:43:45 UTC
[root@bumblebee ~]# ipa automountlocation-del pune
---------------------------------
Deleted automount location "pune"
---------------------------------
[root@bumblebee ~]# 


Verified.
[root@bumblebee ~]# rpm -qi ipa-server
Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.1.2                             Vendor: Red Hat, Inc.
Release     : 2.el6                         Build Date: Fri 07 Oct 2011 05:09:04 PM EDT
Install Date: Sat 08 Oct 2011 07:36:33 AM EDT      Build Host: x86-001.build.bos.redhat.com
Group       : System Environment/Base       Source RPM: ipa-2.1.2-2.el6.src.rpm
Size        : 3363225                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server

Comment 8 Rob Crittenden 2011-10-31 21:06:10 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: No output when deleting an automount location.
Consequence: The command appears successful but there is no feedback.
Fix: Add summary to all the automount commands.
Result: Output consistent with the other IPA command-line plugins.

Comment 9 errata-xmlrpc 2011-12-06 18:41:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html